Bug 1303541 - [abrt] plasma-systemsettings: QXcbWindow::handleClientMessageEvent(xcb_client_message_event_t const*)(): systemsettings5 killed by SIGSEGV
[abrt] plasma-systemsettings: QXcbWindow::handleClientMessageEvent(xcb_client...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-systemsettings (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5d9d26a3265a6fed8e0ff24aec5...
:
Depends On: 1313811
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-01 04:12 EST by Robin Green
Modified: 2016-12-20 13:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:21:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.33 KB, text/plain)
2016-02-01 04:12 EST, Robin Green
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-01 04:12 EST, Robin Green
no flags Details
File: core_backtrace (15.63 KB, text/plain)
2016-02-01 04:12 EST, Robin Green
no flags Details
File: dso_list (19.76 KB, text/plain)
2016-02-01 04:12 EST, Robin Green
no flags Details
File: environ (1.73 KB, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: maps (87.33 KB, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: mountinfo (3.29 KB, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: open_fds (1.03 KB, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details
File: var_log_messages (247 bytes, text/plain)
2016-02-01 04:13 EST, Robin Green
no flags Details

  None (edit)
Description Robin Green 2016-02-01 04:12:47 EST
Description of problem:
At the same time, I enabled my external display, disabled my laptop display, and changed the scale factor from 1.5 to 2.

Version-Release number of selected component:
plasma-systemsettings-5.5.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QXcbWindow::handleClientMessageEvent(xcb_client_message_event_t const*)
executable:     /usr/bin/systemsettings5
global_pid:     3260
kernel:         4.3.3-303.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 1 Robin Green 2016-02-01 04:12:54 EST
Created attachment 1120026 [details]
File: backtrace
Comment 2 Robin Green 2016-02-01 04:12:56 EST
Created attachment 1120027 [details]
File: cgroup
Comment 3 Robin Green 2016-02-01 04:12:57 EST
Created attachment 1120028 [details]
File: core_backtrace
Comment 4 Robin Green 2016-02-01 04:12:59 EST
Created attachment 1120029 [details]
File: dso_list
Comment 5 Robin Green 2016-02-01 04:13:00 EST
Created attachment 1120030 [details]
File: environ
Comment 6 Robin Green 2016-02-01 04:13:02 EST
Created attachment 1120031 [details]
File: exploitable
Comment 7 Robin Green 2016-02-01 04:13:03 EST
Created attachment 1120032 [details]
File: limits
Comment 8 Robin Green 2016-02-01 04:13:05 EST
Created attachment 1120033 [details]
File: maps
Comment 9 Robin Green 2016-02-01 04:13:07 EST
Created attachment 1120034 [details]
File: mountinfo
Comment 10 Robin Green 2016-02-01 04:13:08 EST
Created attachment 1120035 [details]
File: namespaces
Comment 11 Robin Green 2016-02-01 04:13:10 EST
Created attachment 1120036 [details]
File: open_fds
Comment 12 Robin Green 2016-02-01 04:13:11 EST
Created attachment 1120037 [details]
File: proc_pid_status
Comment 13 Robin Green 2016-02-01 04:13:13 EST
Created attachment 1120038 [details]
File: var_log_messages
Comment 14 Robin Green 2016-02-15 11:49:26 EST
Similar problem has been detected:

The previous time I ran systemsettings, I had enabled my laptop display (which I had previously disabled) and disabled my external display, so that I could safely unplug it.  But this reset the resolution of the laptop display to something too small, so I re-ran systemsettings to try to fix that. But I could not because I could not select the laptop display because the representation of it in systemsettings was offscreen and there was no horizontal scrollbar to access it. After I quit systemsettings again, the crash happened.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/systemsettings5
crash_function: QXcbWindow::handleClientMessageEvent(xcb_client_message_event_t const*)
executable:     /usr/bin/systemsettings5
global_pid:     18993
kernel:         4.3.5-300.fc23.x86_64
package:        plasma-systemsettings-5.5.4-1.fc23
reason:         systemsettings5 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 10:19:43 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 13:21:44 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.